# Exemplo-4 - Roteamento dinmico
set ns [new Simulator]

# Indica para o ns que use "dynamic routing"
$ns rtproto DV
#$ns rtproto LS
#$ns rtproto Session

# Cria o trace do nam
$ns namtrace-all [open validate.nam w]

# Importa arquivo que contm o procedimento "create_topology"
source dumbbell.tcl
global num_node n

create_topology

set cbr [new Application/Traffic/CBR]
set udp [new Agent/UDP]
set sink [new Agent/Null]
$cbr attach-agent $udp
$ns attach-agent $n(8) $udp
$ns attach-agent $n(5) $sink
$ns connect $udp $sink
$cbr set packetSize_ 1000
$cbr set interval_ 0.005

$ns color 1 Blue ; $udp set fid_ 1

$ns at 0.0 "$cbr start"
$ns rtmodel-at 1 down $n(0) $n(1)
$ns rtmodel-at 2 down $n(0) $n(6)
$ns rtmodel-at 3 up   $n(0) $n(6)
$ns rtmodel-at 4 up   $n(0) $n(1)
$ns at 5 "$cbr stop"
$ns at 6 "finish"

proc finish {} {
	   global ns
	   $ns flush-trace
	   exec nam validate.nam &
	   exit 0
}
# Inicia a simulao
$ns run

